Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.servlets
Class GifGenerator

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.macromedia.generator.servlets.FlashGenerator
                        |
                        +--com.macromedia.generator.servlets.GifGenerator

All Implemented Interfaces:
  FlashCommandLog, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class GifGenerator
extends FlashGenerator

See Also:
  Serialized Form

Fields inherited from class com.macromedia.generator.servlets.FlashGenerator
`admin_averageThreads, admin_currentRequests, admin_getReleases, admin_getRequests, admin_maxThreads, admin_nSWFAveReqTime, admin_nSWFAveSize, admin_nSWFMaxReqTime, admin_nSWFMaxSize, admin_nSWFMinReqTime, admin_nSWFMinSize, admin_nSWFRequests, cacheDirective, cacheExpires, cacheLastModified, cacheMgr, cacheMSoftSSLFix, cachePragma, cacheProps, currentJobCount, E5, forceFinalizers, forceGarbageCollection, garbageCollectAfterJobCount, gifAltHeader, gifCacheExpires, gifCacheLastModified, gifCnt, gifMaxSize, gifMaxTime, gifTotSize, gifTotTime, initialized, installPath, jobCountSinceLastGC, jpegCnt, jpegMaxSize, jpegMaxTime, jpegTotSize, jpegTotTime, loggingLevel, m_adminLogging, maxSimultaneousRequests, maxThreads, pngCnt, pngMaxSize, pngMaxTime, pngTotSize, pngTotTime, publishSerialNum, qtmCnt, qtmMaxSize, qtmMaxTime, qtmTotSize, qtmTotTime, requestLock, resources, semaCount, serial, startupTime, STATS_FILE_NAME, statStartTime, swfCnt, swfMaxSize, swfMaxTime, swfTotSize, swfTotTime, ticketQueueSize, timeout, totalJobCount, TYPE_ADMIN, TYPE_GIF, TYPE_JPG, TYPE_PNG, TYPE_QTM, TYPE_SWF, TYPE_UNKNOWN, TYPE_XGIF, waitCount, xgifCnt, xgifMaxSize, xgifMaxTime, xgifTotSize, xgifTotTime`

Constructor Summary
`GifGenerator()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest httpservletrequest, javax.servlet.http.HttpServletResponse httpservletresponse)`
`java.lang.String` | `getServletInfo()`

Methods inherited from class com.macromedia.generator.servlets.FlashGenerator
`appendMessagesToLogFile, appendMessageToLogFile, cleanUpMemory, destroy, disableRequests, doGetForFlash, doGetForGif, doGetForJpeg, doGetForPng, doGetForQTM, flushCaches, getCacheProperties, getCacheProperty, getCurrentJobCount, getExternalFontPath, getGifAvgSize, getGifAvgTime, getGifCnt, getGifMaxSize, getGifMaxTime, getInstallPath, getJpegAvgSize, getJpegAvgTime, getJpegCnt, getJpegMaxSize, getJpegMaxTime, getLoggingLevel, getLoggingPath, getMaxThreads, getPngAvgSize, getPngAvgTime, getPngCnt, getPngMaxSize, getPngMaxTime, getPropertiesPath, getQtmAvgSize, getQtmAvgTime, getQtmCnt, getQtmMaxSize, getQtmMaxTime, getRequestFile, getRequestParameters, getRequestType, getResString, getSerializePath, getServerNumber, getStartupTime, getStatsPath, getSwfAvgSize, getSwfAvgTime, getSwfCnt, getSwfMaxSize, getSwfMaxTime, getSystemProperty, getThreadCount, getTimeout, getXGifAvgSize, getXGifAvgTime, getXGifCnt, getXGifMaxSize, getXGifMaxTime, init, initCaches, initProperties, initResources, initSerialization, isLimited, logHitCounts, logLevel, logMessage, logMessage, logStats, processAdminRequest, release, setCacheProperties, setCacheProperty, setExternalFontPath, setInstallPath, setLoggingLevel, setMaxThreads, setSystemProperty, setTimeout, take, take, takeFIFO, updateCacheProperties`

Methods inherited from class javax.servlet.http.HttpServlet
`, doDelete, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GifGenerator

    public GifGenerator()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest httpservletrequest,
                      javax.servlet.http.HttpServletResponse httpservletresponse)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `FlashGenerator`

### getServletInfo

    public java.lang.String getServletInfo()

  Overrides:
    `getServletInfo` in class `FlashGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD